//
// GameX - Debug Class Header
// 
// Copyright (C) 2002 Rama C. Hoetzlein
// 
// This software is released under the GameX GNU GPL 
// Open Source License. See the GameX documentation included
// with this source code for terms of modification, 
// distribution and re-release. 
// 

#include "gamex.hpp"

#ifndef DEBUGGING_DEF
	#define DEBUGGING_DEF

										//**** Debug Switches
	//#define DEBUG_PRINTF				// Send output to console -- NYI	
	#define DEBUG_FILE					// Send output to file
	
	class Debugging {
	public:
		Debugging ();
		~Debugging ();	
		void Open (char *filename);
		void Close (void);
		void Output (const char* messageWithFormat, ...);
	private:
		FILE *m_output_file;
		bool m_nonEmpty;
	};	

	#ifdef DEBUG_GLOBAL
		Debugging			debug;	
	#else
		extern Debugging	debug;
	#endif
#endif


